%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           giblib
Version:        1.2.4
Release:        %mkrel 21
Summary:        Simple library and a wrapper for imlib2
License:        MIT
Group:          System/Libraries
URL:            http://linuxbrit.co.uk/giblib
Source:         http://linuxbrit.co.uk/downloads/%{name}-%{version}.tar.bz2
Patch0:         giblib-configure-use_pkgconfig-for-imlib2.patch
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(freetype2)

%description
giblib is a utility library used by many of the applications from
linuxbrit.co.uk. It incorporates doubly linked lists, some string
functions, and a wrapper for imlib2. The wrapper does two things.
It gives you access to fontstyles, which can be loaded from files,
saved to files or defined dynamically through the API. It also,
and more importantly, wraps imlib2's context API.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{develname}
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%autosetup -p2

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_prefix}/doc

find %{buildroot}%{_libdir} -name '.la' -delete

%files -n %libname
%doc README ChangeLog AUTHORS
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.4-21.mga10
+ Revision: 2217985
- Mageia 10 Mass Rebuild

* Sat Feb 25 2023 daviddavid <daviddavid> 1.2.4-20.mga9
+ Revision: 1945284
- add patch to replace imlib2-config with pkg-config

* Mon Mar 28 2022 umeabot <umeabot> 1.2.4-19.mga9
+ Revision: 1831013
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2.4-18.mga8
+ Revision: 1523089
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Feb 18 2019 wally <wally> 1.2.4-17.mga7
+ Revision: 1368217
- disable static build and .la files
- drop multiarch support

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-16.mga7
+ Revision: 1297881
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 wally <wally> 1.2.4-15.mga7
+ Revision: 1235227
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.2.4-14.mga6
+ Revision: 945369
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-13.mga5
+ Revision: 745354
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 danf <danf> 1.2.4-12.mga5
+ Revision: 737074
- Rebuild for imlib2

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-11.mga5
+ Revision: 679563
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.4-10.mga4
+ Revision: 504814
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.4-9.mga3
+ Revision: 351543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 dmorgan <dmorgan> 1.2.4-8.mga1
+ Revision: 56432
- Remove mdv macros
- imported package giblib


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.4-8mdv2011.0
+ Revision: 610853
- rebuild

* Thu Feb 18 2010 Funda Wang <fwang@mandriva.org> 1.2.4-7mdv2010.1
+ Revision: 507766
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.2.4-6mdv2009.0
+ Revision: 246107
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.4-4mdv2008.1
+ Revision: 132435
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import giblib


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.4-3mdv2007.0
- Rebuild

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.4-2mdk
- fix multiarch 
- %%mkrel
- spec cleanup
- fix summary
- fix libtool file perms
- less strict requires

* Thu Oct 28 2004 Lenny Cartir <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Wed May 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.3-3mdk
- rebuild 
- rpmbuildupdate aware

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.3-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.3-1mdk
- 1.2.3

* Sun Feb 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.2-2mdk
- fix provides

* Sun Feb 09 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.2.2-1mdk
- first mdk release, spec stolen from Matthias Saou <matthias.saou@est.une.marmotte.net>
